% Linealizacion de un Modelo Borroso por aproximación mediante diferencias finitas.
%
%       A=aproxlinear(Modelo_Borroso, X, U, h)
%
%       [A,B]=aproxlinear(Modelo_Borroso, X, U, h)
%
%       [A,B,F]=aproxlinear(Modelo_Borroso, X, U, h)
%
% Resuelve las matrices A, B y F de la representacion lineal según Taylor del
% Modelo Borroso dado por la 'Planta', en el punto X con actuacion U. F coincide
% con el valor que toma la función en el punto (X,U).
%
%                             Y = Ax + Bu + F
%
% Argumentos:
%
%   Modelo_Borroso -> Modelo borroso a linealizar.
%
%   X -> Punto del Espacio de Estados en el que se calcula la matriz A.
%
%   U -> Vector de Control en el que se calcula la matriz B.
%
%   h -> Incremento empleado para aproximar la drivada.
%           Por defecto, h = 0.001
%
% El Modelo Borroso de la Planta puede ser una variable FIS de MATLAB, 
% un fichero '.fis' o un fichero '.txt'. Consulte la documentación de la
% 'Fuzzy Logic Toolbox' para más información sobre el tipo de datos FIS.
%
%  Vea también: FUZLINEAR, FIS2TXT, FUZCOMB, FUZEVAL, FUZEQ, FUZJAC, FUZPRINT, TXT2FIS
