function vector=chol_matrix2vector(M)
% Crea un vector que representa la matriz triangular de la descomposicin de Cholesky
%
% function vector=chol_matrix2vector(M)
%
% Retorna una matriz vaca si M no es simtrica definida positiva
%
% DESCRIBIR LOS ARGUMENTOS
%

n=size(M,1);
if (n~=size(M,2))
    error('La matriz debe ser cuadrada.')
end
[M1,er]=chol(M);

% TEMPORAL - PRUEBA ----------------------------------------------
% Diagonal=M1(1:n+1:end);
% Diagonal(find(Diagonal<1e-3))=1e-3;
% M1(1:n+1:end)=Diagonal;
% ----------------------------------------------------------------

if (er)
    M1=eye(n);
end
vector=[];
for i=1:n
    vector=[vector,M1(i,i:end)];
end
