function y=constmf(x,C)
%  CONSTMF Constant membership function.
%     CONSTMF(X,C) always returns C.
%
%     See also dsigmf, evalmf, gauss2mf, gaussmf, gbellmf, mf2mf, nomf, pimf
%     psigmf, sigmf, smf, trimf, trapmf, trap2mf, zmf.
if nargin ~= 2
    error('Two arguments are required by the Const membership function.');
elseif length(C) < 1
    error('The Const membership function needs one parameter.');
end
y=ones(size(x))*C(1);
