% MAT2CONSEQ Change the consequent of a fuzzy model.
% 
%         Final_Model = mat2conseq(Initial_Model,Vector)
% 
%         Final_Model = mat2conseq(Initial_Model,Vector,Output,Rule)
%
%         [Final_Model,Error] = mat2conseq(Initial_Model,Vector)
%
%         [Final_Model,Error] = mat2conseq(Initial_Model,Vector,Output,Rule)
%
% Arguments:
% 
%     Final_Model -> Changed fuzzy model.
%     
%     Output -> Use to select the consequent of one output.
%
%     Rule -> Use to select the consequent of one rule for given output.
%
%     Error -> 0 if error, 1 if successfully.
%
%     Initial_Model -> Fuzzy Model to change. This model could be a '.txt' or '.fis'
%                      file, or a 'FIS' variable from MATLAB Workspace. (See
%                      'Fuzzy Logic Toolbox' help for more information about FIS).
%
%     Vector -> Vector with data for fuzzy model consequent.
%
%  See also ANTEC2MAT, CONSEQ2MAT, FUZ2MAT, MAT2ANTEC, MAT2FUZ
%
% ##########################################################################
%
% Authors:
%    Antonio Javier Barragn Pia
%    URL: http://www.uhu.es/antonio.barragan
%    e-mail: antonio.barragan@diesia.uhu.es
%    
%    Jos Manuel Andjar Mrquez
%    e-mail: andujar@diesia.uhu.es
%
% Department of Electronics Engineering, Computer Systems and Automatics
% EPS La Rbida, University of Huelva (Spain)
%
% ##########################################################################
